package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.PvPowerStation;

import java.util.List;

/**
 * PvPowerStationService接口
 * 
 * @author hlf
 * @date 2022-07-11
 */
public interface IPvPowerStationService 
{
    /**
     * 查询PvPowerStation
     * 
     * @param pvStationNo PvPowerStationID
     * @return PvPowerStation
     */
    public PvPowerStation selectPvPowerStationById(Long pvStationNo);

    /**
     * 查询PvPowerStation列表
     * 
     * @param pvPowerStation PvPowerStation
     * @return PvPowerStation集合
     */
    public List<PvPowerStation> selectPvPowerStationList(PvPowerStation pvPowerStation);

    /**
     * 新增PvPowerStation
     * 
     * @param pvPowerStation PvPowerStation
     * @return 结果
     */
    public int insertPvPowerStation(PvPowerStation pvPowerStation);

    /**
     * 修改PvPowerStation
     * 
     * @param pvPowerStation PvPowerStation
     * @return 结果
     */
    public int updatePvPowerStation(PvPowerStation pvPowerStation);

    /**
     * 批量删除PvPowerStation
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deletePvPowerStationByIds(String ids);

    /**
     * 删除PvPowerStation信息
     * 
     * @param pvStationNo PvPowerStationID
     * @return 结果
     */
    public int deletePvPowerStationById(Long pvStationNo);

    String checkPvStationNameUnique(String pvStationName);

    Long selectNewData();

    PvPowerStation selectPvPowerStationByStationCode(String stationCode);
}
